org.hibernate.search.engine.impl

## Class TokenizerChain

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.hibernate.search.engine.impl.TokenizerChain

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class TokenizerChain
      extends Analyzer

  Inspired by Apache Solr's org.apache.solr.analysis.TokenizerChain.TokenizerChain

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenizerChain(CharFilterFactory[] charFilters, TokenizerFactory tokenizer, TokenFilterFactory[] filters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents(String fieldName)`
    `Reader` | `initReader(String fieldName, Reader reader)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, getVersion, setVersion, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenizerChain

          public TokenizerChain(CharFilterFactory[] charFilters,
                                TokenizerFactory tokenizer,
                                TokenFilterFactory[] filters)

  - ### Method Detail

    - #### initReader

          public Reader initReader(String fieldName,
                                   Reader reader)

      Overrides:
        `initReader` in class `Analyzer`

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents(String fieldName)

      Specified by:
        `createComponents` in class `Analyzer`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved